.header {
  display: flex;
  width: 100%;
  justify-content: center;
  margin-top: 6rem;
}

.header__container {
  display: flex;
  z-index: 50;
  width: 80%;
  align-self: center;
  padding: 2rem;
  position: fixed;
  justify-content: space-between;
  align-items: center;
  border-radius: 15px;
  background: var(--logo-text-gradient);
  backdrop-filter: blur(14px);
}
.logo__nav {
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  width: 85%;
  align-items: center;
}
.header__logo {
  font-size: 2.6rem;
  font-weight: 600;
  background: var(--text-gradient);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.header__menu {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: calc(60% + 5px);
}

.header__menu > ul {
  display: flex;
  gap: 2rem;
  align-items: center;
  justify-content: center;
}

.menu__link {
  color: #fff;
  text-align: center;
  font-family: Montserrat;
  font-size: 2rem;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}
.menu__link:hover {
  color: var(--main-color);
}
.header__icons {
  display: flex;
  gap: 2rem;
}

.icon__img--login {
  width: 26.783px;
  height: 43.291px;
  flex-shrink: 0;
}
.icon__img--login:hover,
.icon__img--cart:hover {
  filter: var(--icon-change-color);
}
.hamburger {
  display: none;
}
@media screen and (max-width: 776px) {
    .hamburger {
        display: block;
        z-index: 50;
      }
      .panel {
        flex-direction: column;
        position: fixed;
        background: #11021c;
        height: 49dvh;
        right: 14px;
        transform: translate(-100%, 0%);
        top: 0;
        transition: 0.6s ease;
        width: 100%;
        border-radius: 14px;
      }
      .panel.is-active {
        right: 0;
        transform: translate(0, 0);
        align-items: center;
      }
  .header__container {
    z-index: 50;
    width: 84%;
    gap: 1rem;
    justify-content: center;
  }
  .logo__nav {
    gap: 1rem;
  }


  .header__logo {
    font-size: 2rem;
  }

  .logo__nav {
    width: auto;
  }

  .hamburger-inner,
  .hamburger-inner:after,
  .hamburger-inner:before {
    background-color: var(--main-color);
  }
  .hamburger.is-active .hamburger-inner,
  .hamburger.is-active .hamburger-inner:after,
  .hamburger.is-active .hamburger-inner:before {
    background-color: #ffe500;
  }
}

@media screen and (max-width: 845px) {
  .header__container {
    z-index: 50;
    width: 84%;
    gap: 1rem;
    justify-content: center;
  }
  .logo__nav {
    display: flex;
    gap: 3rem;
    width: 100%;
    align-items: center;
    justify-content: center;
  }

}
